/**
 *
 */
package com.fp.frontend.webservices.snap.modelo;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Clase xml con los elementos de la ejecucion en la salida del WS
 *
 * @author Manuel Cepeda
 *
 */
@XmlRootElement(name = "Ejecucion")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(propOrder = {"exito", "codigoError", "descripcionError", "idToken"})
public class EjecucionXml implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 6677743930807519383L;

    @XmlElement(name = "Exito")
    private Integer exito;

    @XmlElement(name = "CodigoError")
    private String codigoError;

    @XmlElement(name = "DescripcionError")
    private String descripcionError;

    @XmlElement(name = "IdToken")
    private String idToken;

    /**
     *
     */
    public EjecucionXml() {
    }

    /**
     * @param exito
     * @param codigoError
     * @param descripcionError
     * @param idToken
     */
    public EjecucionXml(Integer exito, String codigoError,
            String descripcionError, String idToken) {
        super();
        this.exito = exito;
        this.codigoError = codigoError;
        this.descripcionError = descripcionError;
        this.idToken = idToken;
    }

    /**
     * @return the codigoError
     */
    public String getCodigoError() {
        return codigoError;
    }

    /**
     * @param codigoError the codigoError to set
     */
    public void setCodigoError(String codigoError) {
        this.codigoError = codigoError;
    }

    /**
     * @return the descripcionError
     */
    public String getDescripcionError() {
        return descripcionError;
    }

    /**
     * @param descripcionError the descripcionError to set
     */
    public void setDescripcionError(String descripcionError) {
        this.descripcionError = descripcionError;
    }

    /**
     * @return the idToken
     */
    public String getIdToken() {
        return idToken;
    }

    /**
     * @param idToken the idToken to set
     */
    public void setIdToken(String idToken) {
        this.idToken = idToken;
    }

    /**
     * @return the exito
     */
    public Integer getExito() {
        return exito;
    }

    /**
     * @param exito the exito to set
     */
    public void setExito(Integer exito) {
        this.exito = exito;
    }

}
